DROP TABLE AUX_EX_TRACE_RS_PROPS;
DROP TABLESPACE EXTRA001;
DROP TABLE AUX_EX_TRACE_USER_DATA;
DROP TABLESPACE EXTRA002;
DROP TABLE AUX_EX_TRACE_RULES;
DROP TABLESPACE EXTRA003;
DROP TABLE AUX_EX_TRACE_TASKS;
DROP TABLESPACE EXTRA004;
DROP TABLE AUX_EX_TRACE_ETT;
DROP TABLESPACE EXTRA005;
DROP TABLE AUX_EX_TRACE_EXOUT;
DROP TABLESPACE EXTRA006;
DROP TABLE AUX_EX_TRACE_INPARAMS;
DROP TABLESPACE EXTRA007;
DROP TABLE AUX_EX_TRACE_OUTPARAMS;
DROP TABLESPACE EXTRA008;
DROP TABLE AUX_EX_TRACE_FULLET;
DROP TABLESPACE EXTRA009;
DROP TABLE EXECUTION_TRACES;

DROP TABLESPACE RESDWTS;
-- Use a buffer pool with a 32K page size
CREATE TABLESPACE RESDWTS BUFFERPOOL BP32K;

CREATE TABLE EXECUTION_TRACES (
  ID INT GENERATED ALWAYS AS IDENTITY (START WITH 1, INCREMENT BY 1) NOT NULL,
  TIME_STAMP DEC(19,0) NOT NULL,
  LOCATION VARCHAR(2000) NOT NULL,
  REQUEST_PATH VARCHAR(2000) NOT NULL,
  CANONICAL_PATH VARCHAR(2000) NOT NULL,
  RULESET_PROPERTIES CLOB NOT NULL,
  ELAPSED_TIME DEC(19,0) NOT NULL,
  USER_DATA CLOB,
  NB_RULES INT,
  NB_RULES_FIRED INT,
  NB_RULES_NOT_FIRED INT,
  NB_TASKS INT,
  NB_TASKS_EXECUTED INT,
  NB_TASKS_NOT_EXECUTED INT,
  RULES CLOB,
  TASKS CLOB,
  EXECUTION_TRACE_TREE CLOB,
  EXEC_OUTPUT CLOB,
  INPUT_PARAMS CLOB,
  OUTPUT_PARAMS CLOB,
  EXECUTION_ID VARCHAR(2000) NOT NULL,
  FULL_EXECUTION_TRACE CLOB,
  CONSTRAINT ET_PK PRIMARY KEY (ID)
) IN RESDWTS;

CREATE UNIQUE INDEX EXECUTION_TRACES_IDXU1 ON EXECUTION_TRACES (ID);
CREATE LOB TABLESPACE EXTRA001 LOG NO;
CREATE AUX TABLE AUX_EX_TRACE_RS_PROPS IN EXTRA001 STORES EXECUTION_TRACES COLUMN RULESET_PROPERTIES;
CREATE UNIQUE INDEX AUX_EX_TRACE_RS_PROPS_UI1 ON AUX_EX_TRACE_RS_PROPS;
CREATE LOB TABLESPACE EXTRA002 LOG NO;
CREATE AUX TABLE AUX_EX_TRACE_USER_DATA IN EXTRA002 STORES EXECUTION_TRACES COLUMN USER_DATA;
CREATE UNIQUE INDEX AUX_EX_TRACE_USER_DATA_UI1 ON AUX_EX_TRACE_USER_DATA;
CREATE LOB TABLESPACE EXTRA003 LOG NO;
CREATE AUX TABLE AUX_EX_TRACE_RULES IN EXTRA003 STORES EXECUTION_TRACES COLUMN RULES;
CREATE UNIQUE INDEX AUX_EX_TRACE_RULES_UI1 ON AUX_EX_TRACE_RULES;
CREATE LOB TABLESPACE EXTRA004 LOG NO;
CREATE AUX TABLE AUX_EX_TRACE_TASKS IN EXTRA004 STORES EXECUTION_TRACES COLUMN TASKS;
CREATE UNIQUE INDEX AUX_EX_TRACE_TASKS_UI1 ON AUX_EX_TRACE_TASKS;
CREATE LOB TABLESPACE EXTRA005 LOG NO;
CREATE AUX TABLE AUX_EX_TRACE_ETT IN EXTRA005 STORES EXECUTION_TRACES COLUMN EXECUTION_TRACE_TREE;
CREATE UNIQUE INDEX AUX_EX_TRACE_ETT_UI1 ON AUX_EX_TRACE_ETT;
CREATE LOB TABLESPACE EXTRA006 LOG NO;
CREATE AUX TABLE AUX_EX_TRACE_EXOUT IN EXTRA006 STORES EXECUTION_TRACES COLUMN EXEC_OUTPUT;
CREATE UNIQUE INDEX AUX_EX_TRACE_EXOUT_UI1 ON AUX_EX_TRACE_EXOUT;
CREATE LOB TABLESPACE EXTRA007 LOG NO;
CREATE AUX TABLE AUX_EX_TRACE_INPARAMS IN EXTRA007 STORES EXECUTION_TRACES COLUMN INPUT_PARAMS;
CREATE UNIQUE INDEX AUX_EX_TRACE_INPARAMS_UI1 ON AUX_EX_TRACE_INPARAMS;
CREATE LOB TABLESPACE EXTRA008 LOG NO;
CREATE AUX TABLE AUX_EX_TRACE_OUTPARAMS IN EXTRA008 STORES EXECUTION_TRACES COLUMN OUTPUT_PARAMS;
CREATE UNIQUE INDEX AUX_EX_TRACE_OUTPARAMS_UI1 ON AUX_EX_TRACE_OUTPARAMS;
CREATE LOB TABLESPACE EXTRA009 LOG NO;
CREATE AUX TABLE AUX_EX_TRACE_FULLET IN EXTRA009 STORES EXECUTION_TRACES COLUMN FULL_EXECUTION_TRACE;
CREATE UNIQUE INDEX AUX_EX_TRACE_FULLET_UI1 ON AUX_EX_TRACE_FULLET;
